Bug 1730440 - New Package: ansible-config_template - Ansible plugin to configure services
Summary: New Package: ansible-config_template - Ansible plugin to configure services
Keywords:
Status: POST
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: trunk
Assignee: Yatin Karel
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-TRAIN
TreeView+ depends on / blocked
 
Reported: 2019-07-16 17:59 UTC by Kevin Carter
Modified: 2019-07-18 05:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
ykarel: rdo-review+


Attachments (Terms of Use)

Description Kevin Carter 2019-07-16 17:59:41 UTC
Description of problem: Adding new package to provide for an openstack ansible plugin.

This package will be used to provide additional configuration options and capabilities within TripleO.

Comment 1 Yatin Karel 2019-07-17 04:44:54 UTC
https://github.com/openstack/ansible-config_template

$ licensecheck -r . |grep -v UNKNOWN
./LICENSE: *No copyright* Apache License (v2.0)
./run_tests.sh: Apache License (v2.0)
./setup.cfg: *No copyright* Apache License
./setup.py: Apache License (v2.0) GENERATED FILE
./action/config_template.py: GPL (v3 or later)
./meta/main.yml: Apache License (v2.0)
./tests/test-common-tasks.yml: Apache License (v2.0)
./tests/test.yml: Apache License (v2.0)
./zuul.d/project.yaml: Apache License (v2.0)
./doc/source/conf.py: *No copyright* GENERATED FILE
./releasenotes/source/conf.py: *No copyright* Apache License (v2.0) GENERATED FILE
./tests/group_vars/all_containers.yml: Apache License (v2.0)
./tests/group_vars/hosts.yml: Apache License (v2.0)
./tests/host_vars/container1.yml: Apache License (v2.0)
./tests/host_vars/container2.yml: Apache License (v2.0)
./tests/host_vars/container3.yml: Apache License (v2.0)
./tests/host_vars/localhost.yml: Apache License (v2.0)

License is ASL 2.0.

Comment 2 Alfredo Moralejo 2019-07-17 07:32:39 UTC
Needed by tripleo-ansible project: https://review.opendev.org/#/c/669672/7/tripleo_ansible/ansible-role-requirements.yml

Comment 3 Yatin Karel 2019-07-18 05:37:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "*No copyright* Apache License", "Apache License (v2.0)", "GPL (v3 or
     later)". 58 files have unknown license. Detailed output of
     licensecheck in /tmp/ansible-config_template/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/ansible(tripleo-
     ansible), /usr/share/ansible/plugins(openstack-tripleo-common)
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     1.0.1.dev11
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-config_template-1.0.1-0.20190717200411.99d8c3c.fc28.noarch.rpm
          ansible-config_template-1.0.1-0.20190717200411.99d8c3c.fc28.src.rpm
ansible-config_template.noarch: E: no-changelogname-tag
ansible-config_template.src: E: no-changelogname-tag
ansible-config_template.src: W: strange-permission ansible-config_template.spec 600
ansible-config_template.src: W: invalid-url Source0: ansible-config_template-1.0.1.dev11-0.20190717200411.99d8c3c.tar.gz
2 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ansible-config_template.noarch: E: no-changelogname-tag
ansible-config_template.noarch: W: invalid-url URL: https://opendev.org/openstack/ansible-config_template <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
ansible-config_template (rpmlib, GLIBC filtered):
    python(abi)
    python3dist(ansible)



Provides
--------
ansible-config_template:
    ansible-config_template
    python3.6dist(ansible-config-template)
    python3dist(ansible-config-template)


Some issues are there, but those are known and accepted:-
- Source Tarball and changelog are generated by tool: DLRN.
- %check is absent, no testable changes while building like other ansible packages.

Package is Approved.


Note You need to log in before you can comment on or make changes to this bug.